# Example imaging script for a data set with some ACA antennas but
# also up to 1.6 km baselines

os.system('rm -rf SgrB2_X6d9_195_13CMeth.clean*')
tclean(vis='X6d9_Sgr_B2N.ms_FluxEqual_195',
	imagename='SgrB2_X6d9_195_13CMeth.clean', # *see below
        spw='3',
	field='3',                      # SgrB2 - may be 3 or other number
        specmode='cube',
	start=260,                       
        nchan=82,
        restfreq='195.737GHz',
        outframe='lsrk',
	gridder='mosaic',               # Recommended for mixed antenna sizes
	imsize=800,
        pblimit=0.05,
        threshold='80mJy/beam',
        cell='0.04arcsec',
        weighting='briggs',             
        robust=1.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# * If you have several EBs at the same tuning, you can give a list as
# * ['uid...','uid...']


# Make primary-beam corrected FITS images (tentative identification): 

imlist=['SgrB2_X6d9_195_13CMeth.clean']
for i in imlist:
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
